unit schInfMargenArticuloServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schInfMargenArticuloClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InfMargenArticuloDelta = '{E8D3A873-E61E-4AB3-8669-CA10D5D2CE05}';

type
  { IInfMargenArticuloDelta }
  IInfMargenArticuloDelta = interface(IInfMargenArticulo)
  ['{E8D3A873-E61E-4AB3-8669-CA10D5D2CE05}']
    { Property getters and setters }
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldID_ARTICULOValue : Integer;
    function GetOldFAMILIAValue : String;
    function GetOldREFERENCIAValue : String;
    function GetOldREFERENCIA_PROVValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldCOMISIONABLEValue : Integer;
    function GetOldINVENTARIABLEValue : Integer;
    function GetOldNIF_CIF_CLIENTEValue : String;
    function GetOldNOMBRE_CLIENTEValue : String;
    function GetOldNOMBRE_COMERCIAL_CLIENTEValue : String;
    function GetOldNIF_CIF_AGENTEValue : String;
    function GetOldNOMBRE_AGENTEValue : String;
    function GetOldIMP_UNIDAD_ULT_VENTValue : Float;
    function GetOldIMP_NETO_ULT_VENTValue : Float;
    function GetOldIMP_PORTE_ULT_VENTValue : Float;
    function GetOldIMP_UNIDAD_PRO_VENTValue : Float;
    function GetOldIMP_NETO_PRO_VENTValue : Float;
    function GetOldIMP_PORTE_PRO_VENTValue : Float;
    function GetOldIMP_UNIDAD_COMPRAValue : Float;
    function GetOldIMP_NETO_COMPRAValue : Float;
    function GetOldIMP_PORTE_COMPRAValue : Float;
    function GetOldIMP_UNIDAD_ULT_COMPValue : Float;
    function GetOldIMP_NETO_ULT_COMPValue : Float;
    function GetOldIMP_PORTE_ULT_COMPValue : Float;
    function GetOldIMP_UNIDAD_PRO_COMPValue : Float;
    function GetOldIMP_NETO_PRO_COMPValue : Float;
    function GetOldIMP_PORTE_PRO_COMPValue : Float;
    function GetOldIMP_MARGEN_ULT_VENT_COMPRAValue : Float;
    function GetOldPOR_MARGEN_ULT_VENT_COMPRAValue : Float;
    function GetOldIMP_MARGEN_ULT_VENT_ULT_COMPValue : Float;
    function GetOldPOR_MARGEN_ULT_VENT_ULT_COMPValue : Float;
    function GetOldIMP_MARGEN_ULT_VENT_PRO_COMPValue : Float;
    function GetOldPOR_MARGEN_ULT_VENT_PRO_COMPValue : Float;
    function GetOldIMP_MARGEN_PRO_VENT_COMPRAValue : Float;
    function GetOldPOR_MARGEN_PRO_VENT_COMPRAValue : Float;
    function GetOldIMP_MARGEN_PRO_VENT_ULT_COMPValue : Float;
    function GetOldPOR_MARGEN_PRO_VENT_ULT_COMPValue : Float;
    function GetOldIMP_MARGEN_PRO_VENT_PRO_COMPValue : Float;
    function GetOldPOR_MARGEN_PRO_VENT_PRO_COMPValue : Float;

    { Properties }
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIA_PROV : String read GetOldREFERENCIA_PROVValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldCOMISIONABLE : Integer read GetOldCOMISIONABLEValue;
    property OldINVENTARIABLE : Integer read GetOldINVENTARIABLEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property OldNOMBRE_COMERCIAL_CLIENTE : String read GetOldNOMBRE_COMERCIAL_CLIENTEValue;
    property OldNIF_CIF_AGENTE : String read GetOldNIF_CIF_AGENTEValue;
    property OldNOMBRE_AGENTE : String read GetOldNOMBRE_AGENTEValue;
    property OldIMP_UNIDAD_ULT_VENT : Float read GetOldIMP_UNIDAD_ULT_VENTValue;
    property OldIMP_NETO_ULT_VENT : Float read GetOldIMP_NETO_ULT_VENTValue;
    property OldIMP_PORTE_ULT_VENT : Float read GetOldIMP_PORTE_ULT_VENTValue;
    property OldIMP_UNIDAD_PRO_VENT : Float read GetOldIMP_UNIDAD_PRO_VENTValue;
    property OldIMP_NETO_PRO_VENT : Float read GetOldIMP_NETO_PRO_VENTValue;
    property OldIMP_PORTE_PRO_VENT : Float read GetOldIMP_PORTE_PRO_VENTValue;
    property OldIMP_UNIDAD_COMPRA : Float read GetOldIMP_UNIDAD_COMPRAValue;
    property OldIMP_NETO_COMPRA : Float read GetOldIMP_NETO_COMPRAValue;
    property OldIMP_PORTE_COMPRA : Float read GetOldIMP_PORTE_COMPRAValue;
    property OldIMP_UNIDAD_ULT_COMP : Float read GetOldIMP_UNIDAD_ULT_COMPValue;
    property OldIMP_NETO_ULT_COMP : Float read GetOldIMP_NETO_ULT_COMPValue;
    property OldIMP_PORTE_ULT_COMP : Float read GetOldIMP_PORTE_ULT_COMPValue;
    property OldIMP_UNIDAD_PRO_COMP : Float read GetOldIMP_UNIDAD_PRO_COMPValue;
    property OldIMP_NETO_PRO_COMP : Float read GetOldIMP_NETO_PRO_COMPValue;
    property OldIMP_PORTE_PRO_COMP : Float read GetOldIMP_PORTE_PRO_COMPValue;
    property OldIMP_MARGEN_ULT_VENT_COMPRA : Float read GetOldIMP_MARGEN_ULT_VENT_COMPRAValue;
    property OldPOR_MARGEN_ULT_VENT_COMPRA : Float read GetOldPOR_MARGEN_ULT_VENT_COMPRAValue;
    property OldIMP_MARGEN_ULT_VENT_ULT_COMP : Float read GetOldIMP_MARGEN_ULT_VENT_ULT_COMPValue;
    property OldPOR_MARGEN_ULT_VENT_ULT_COMP : Float read GetOldPOR_MARGEN_ULT_VENT_ULT_COMPValue;
    property OldIMP_MARGEN_ULT_VENT_PRO_COMP : Float read GetOldIMP_MARGEN_ULT_VENT_PRO_COMPValue;
    property OldPOR_MARGEN_ULT_VENT_PRO_COMP : Float read GetOldPOR_MARGEN_ULT_VENT_PRO_COMPValue;
    property OldIMP_MARGEN_PRO_VENT_COMPRA : Float read GetOldIMP_MARGEN_PRO_VENT_COMPRAValue;
    property OldPOR_MARGEN_PRO_VENT_COMPRA : Float read GetOldPOR_MARGEN_PRO_VENT_COMPRAValue;
    property OldIMP_MARGEN_PRO_VENT_ULT_COMP : Float read GetOldIMP_MARGEN_PRO_VENT_ULT_COMPValue;
    property OldPOR_MARGEN_PRO_VENT_ULT_COMP : Float read GetOldPOR_MARGEN_PRO_VENT_ULT_COMPValue;
    property OldIMP_MARGEN_PRO_VENT_PRO_COMP : Float read GetOldIMP_MARGEN_PRO_VENT_PRO_COMPValue;
    property OldPOR_MARGEN_PRO_VENT_PRO_COMP : Float read GetOldPOR_MARGEN_PRO_VENT_PRO_COMPValue;
  end;

  { TInfMargenArticuloBusinessProcessorRules }
  TInfMargenArticuloBusinessProcessorRules = class(TDABusinessProcessorRules, IInfMargenArticulo, IInfMargenArticuloDelta)
  private
  protected
    { Property getters and setters }
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    function GetOldID_ARTICULOValue: Integer; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    function GetFAMILIAValue: String; virtual;
    function GetOldFAMILIAValue: String; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIA_PROVValue: String; virtual;
    function GetOldREFERENCIA_PROVValue: String; virtual;
    procedure SetREFERENCIA_PROVValue(const aValue: String); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetCOMISIONABLEValue: Integer; virtual;
    function GetOldCOMISIONABLEValue: Integer; virtual;
    procedure SetCOMISIONABLEValue(const aValue: Integer); virtual;
    function GetINVENTARIABLEValue: Integer; virtual;
    function GetOldINVENTARIABLEValue: Integer; virtual;
    procedure SetINVENTARIABLEValue(const aValue: Integer); virtual;
    function GetNIF_CIF_CLIENTEValue: String; virtual;
    function GetOldNIF_CIF_CLIENTEValue: String; virtual;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String); virtual;
    function GetNOMBRE_CLIENTEValue: String; virtual;
    function GetOldNOMBRE_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String); virtual;
    function GetNOMBRE_COMERCIAL_CLIENTEValue: String; virtual;
    function GetOldNOMBRE_COMERCIAL_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String); virtual;
    function GetNIF_CIF_AGENTEValue: String; virtual;
    function GetOldNIF_CIF_AGENTEValue: String; virtual;
    procedure SetNIF_CIF_AGENTEValue(const aValue: String); virtual;
    function GetNOMBRE_AGENTEValue: String; virtual;
    function GetOldNOMBRE_AGENTEValue: String; virtual;
    procedure SetNOMBRE_AGENTEValue(const aValue: String); virtual;
    function GetIMP_UNIDAD_ULT_VENTValue: Float; virtual;
    function GetOldIMP_UNIDAD_ULT_VENTValue: Float; virtual;
    procedure SetIMP_UNIDAD_ULT_VENTValue(const aValue: Float); virtual;
    function GetIMP_NETO_ULT_VENTValue: Float; virtual;
    function GetOldIMP_NETO_ULT_VENTValue: Float; virtual;
    procedure SetIMP_NETO_ULT_VENTValue(const aValue: Float); virtual;
    function GetIMP_PORTE_ULT_VENTValue: Float; virtual;
    function GetOldIMP_PORTE_ULT_VENTValue: Float; virtual;
    procedure SetIMP_PORTE_ULT_VENTValue(const aValue: Float); virtual;
    function GetIMP_UNIDAD_PRO_VENTValue: Float; virtual;
    function GetOldIMP_UNIDAD_PRO_VENTValue: Float; virtual;
    procedure SetIMP_UNIDAD_PRO_VENTValue(const aValue: Float); virtual;
    function GetIMP_NETO_PRO_VENTValue: Float; virtual;
    function GetOldIMP_NETO_PRO_VENTValue: Float; virtual;
    procedure SetIMP_NETO_PRO_VENTValue(const aValue: Float); virtual;
    function GetIMP_PORTE_PRO_VENTValue: Float; virtual;
    function GetOldIMP_PORTE_PRO_VENTValue: Float; virtual;
    procedure SetIMP_PORTE_PRO_VENTValue(const aValue: Float); virtual;
    function GetIMP_UNIDAD_COMPRAValue: Float; virtual;
    function GetOldIMP_UNIDAD_COMPRAValue: Float; virtual;
    procedure SetIMP_UNIDAD_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_NETO_COMPRAValue: Float; virtual;
    function GetOldIMP_NETO_COMPRAValue: Float; virtual;
    procedure SetIMP_NETO_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_PORTE_COMPRAValue: Float; virtual;
    function GetOldIMP_PORTE_COMPRAValue: Float; virtual;
    procedure SetIMP_PORTE_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_UNIDAD_ULT_COMPValue: Float; virtual;
    function GetOldIMP_UNIDAD_ULT_COMPValue: Float; virtual;
    procedure SetIMP_UNIDAD_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_NETO_ULT_COMPValue: Float; virtual;
    function GetOldIMP_NETO_ULT_COMPValue: Float; virtual;
    procedure SetIMP_NETO_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_PORTE_ULT_COMPValue: Float; virtual;
    function GetOldIMP_PORTE_ULT_COMPValue: Float; virtual;
    procedure SetIMP_PORTE_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_UNIDAD_PRO_COMPValue: Float; virtual;
    function GetOldIMP_UNIDAD_PRO_COMPValue: Float; virtual;
    procedure SetIMP_UNIDAD_PRO_COMPValue(const aValue: Float); virtual;
    function GetIMP_NETO_PRO_COMPValue: Float; virtual;
    function GetOldIMP_NETO_PRO_COMPValue: Float; virtual;
    procedure SetIMP_NETO_PRO_COMPValue(const aValue: Float); virtual;
    function GetIMP_PORTE_PRO_COMPValue: Float; virtual;
    function GetOldIMP_PORTE_PRO_COMPValue: Float; virtual;
    procedure SetIMP_PORTE_PRO_COMPValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_ULT_VENT_COMPRAValue: Float; virtual;
    function GetOldIMP_MARGEN_ULT_VENT_COMPRAValue: Float; virtual;
    procedure SetIMP_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_ULT_VENT_COMPRAValue: Float; virtual;
    function GetOldPOR_MARGEN_ULT_VENT_COMPRAValue: Float; virtual;
    procedure SetPOR_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_ULT_VENT_ULT_COMPValue: Float; virtual;
    function GetOldIMP_MARGEN_ULT_VENT_ULT_COMPValue: Float; virtual;
    procedure SetIMP_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_ULT_VENT_ULT_COMPValue: Float; virtual;
    function GetOldPOR_MARGEN_ULT_VENT_ULT_COMPValue: Float; virtual;
    procedure SetPOR_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_ULT_VENT_PRO_COMPValue: Float; virtual;
    function GetOldIMP_MARGEN_ULT_VENT_PRO_COMPValue: Float; virtual;
    procedure SetIMP_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_ULT_VENT_PRO_COMPValue: Float; virtual;
    function GetOldPOR_MARGEN_ULT_VENT_PRO_COMPValue: Float; virtual;
    procedure SetPOR_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_PRO_VENT_COMPRAValue: Float; virtual;
    function GetOldIMP_MARGEN_PRO_VENT_COMPRAValue: Float; virtual;
    procedure SetIMP_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_PRO_VENT_COMPRAValue: Float; virtual;
    function GetOldPOR_MARGEN_PRO_VENT_COMPRAValue: Float; virtual;
    procedure SetPOR_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_PRO_VENT_ULT_COMPValue: Float; virtual;
    function GetOldIMP_MARGEN_PRO_VENT_ULT_COMPValue: Float; virtual;
    procedure SetIMP_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_PRO_VENT_ULT_COMPValue: Float; virtual;
    function GetOldPOR_MARGEN_PRO_VENT_ULT_COMPValue: Float; virtual;
    procedure SetPOR_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float); virtual;
    function GetIMP_MARGEN_PRO_VENT_PRO_COMPValue: Float; virtual;
    function GetOldIMP_MARGEN_PRO_VENT_PRO_COMPValue: Float; virtual;
    procedure SetIMP_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float); virtual;
    function GetPOR_MARGEN_PRO_VENT_PRO_COMPValue: Float; virtual;
    function GetOldPOR_MARGEN_PRO_VENT_PRO_COMPValue: Float; virtual;
    procedure SetPOR_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float); virtual;

    { Properties }
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property ID_ARTICULO : Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property FAMILIA : String read GetFAMILIAValue write SetFAMILIAValue;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property REFERENCIA_PROV : String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property OldREFERENCIA_PROV : String read GetOldREFERENCIA_PROVValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property COMISIONABLE : Integer read GetCOMISIONABLEValue write SetCOMISIONABLEValue;
    property OldCOMISIONABLE : Integer read GetOldCOMISIONABLEValue;
    property INVENTARIABLE : Integer read GetINVENTARIABLEValue write SetINVENTARIABLEValue;
    property OldINVENTARIABLE : Integer read GetOldINVENTARIABLEValue;
    property NIF_CIF_CLIENTE : String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property NOMBRE_CLIENTE : String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property NOMBRE_COMERCIAL_CLIENTE : String read GetNOMBRE_COMERCIAL_CLIENTEValue write SetNOMBRE_COMERCIAL_CLIENTEValue;
    property OldNOMBRE_COMERCIAL_CLIENTE : String read GetOldNOMBRE_COMERCIAL_CLIENTEValue;
    property NIF_CIF_AGENTE : String read GetNIF_CIF_AGENTEValue write SetNIF_CIF_AGENTEValue;
    property OldNIF_CIF_AGENTE : String read GetOldNIF_CIF_AGENTEValue;
    property NOMBRE_AGENTE : String read GetNOMBRE_AGENTEValue write SetNOMBRE_AGENTEValue;
    property OldNOMBRE_AGENTE : String read GetOldNOMBRE_AGENTEValue;
    property IMP_UNIDAD_ULT_VENT : Float read GetIMP_UNIDAD_ULT_VENTValue write SetIMP_UNIDAD_ULT_VENTValue;
    property OldIMP_UNIDAD_ULT_VENT : Float read GetOldIMP_UNIDAD_ULT_VENTValue;
    property IMP_NETO_ULT_VENT : Float read GetIMP_NETO_ULT_VENTValue write SetIMP_NETO_ULT_VENTValue;
    property OldIMP_NETO_ULT_VENT : Float read GetOldIMP_NETO_ULT_VENTValue;
    property IMP_PORTE_ULT_VENT : Float read GetIMP_PORTE_ULT_VENTValue write SetIMP_PORTE_ULT_VENTValue;
    property OldIMP_PORTE_ULT_VENT : Float read GetOldIMP_PORTE_ULT_VENTValue;
    property IMP_UNIDAD_PRO_VENT : Float read GetIMP_UNIDAD_PRO_VENTValue write SetIMP_UNIDAD_PRO_VENTValue;
    property OldIMP_UNIDAD_PRO_VENT : Float read GetOldIMP_UNIDAD_PRO_VENTValue;
    property IMP_NETO_PRO_VENT : Float read GetIMP_NETO_PRO_VENTValue write SetIMP_NETO_PRO_VENTValue;
    property OldIMP_NETO_PRO_VENT : Float read GetOldIMP_NETO_PRO_VENTValue;
    property IMP_PORTE_PRO_VENT : Float read GetIMP_PORTE_PRO_VENTValue write SetIMP_PORTE_PRO_VENTValue;
    property OldIMP_PORTE_PRO_VENT : Float read GetOldIMP_PORTE_PRO_VENTValue;
    property IMP_UNIDAD_COMPRA : Float read GetIMP_UNIDAD_COMPRAValue write SetIMP_UNIDAD_COMPRAValue;
    property OldIMP_UNIDAD_COMPRA : Float read GetOldIMP_UNIDAD_COMPRAValue;
    property IMP_NETO_COMPRA : Float read GetIMP_NETO_COMPRAValue write SetIMP_NETO_COMPRAValue;
    property OldIMP_NETO_COMPRA : Float read GetOldIMP_NETO_COMPRAValue;
    property IMP_PORTE_COMPRA : Float read GetIMP_PORTE_COMPRAValue write SetIMP_PORTE_COMPRAValue;
    property OldIMP_PORTE_COMPRA : Float read GetOldIMP_PORTE_COMPRAValue;
    property IMP_UNIDAD_ULT_COMP : Float read GetIMP_UNIDAD_ULT_COMPValue write SetIMP_UNIDAD_ULT_COMPValue;
    property OldIMP_UNIDAD_ULT_COMP : Float read GetOldIMP_UNIDAD_ULT_COMPValue;
    property IMP_NETO_ULT_COMP : Float read GetIMP_NETO_ULT_COMPValue write SetIMP_NETO_ULT_COMPValue;
    property OldIMP_NETO_ULT_COMP : Float read GetOldIMP_NETO_ULT_COMPValue;
    property IMP_PORTE_ULT_COMP : Float read GetIMP_PORTE_ULT_COMPValue write SetIMP_PORTE_ULT_COMPValue;
    property OldIMP_PORTE_ULT_COMP : Float read GetOldIMP_PORTE_ULT_COMPValue;
    property IMP_UNIDAD_PRO_COMP : Float read GetIMP_UNIDAD_PRO_COMPValue write SetIMP_UNIDAD_PRO_COMPValue;
    property OldIMP_UNIDAD_PRO_COMP : Float read GetOldIMP_UNIDAD_PRO_COMPValue;
    property IMP_NETO_PRO_COMP : Float read GetIMP_NETO_PRO_COMPValue write SetIMP_NETO_PRO_COMPValue;
    property OldIMP_NETO_PRO_COMP : Float read GetOldIMP_NETO_PRO_COMPValue;
    property IMP_PORTE_PRO_COMP : Float read GetIMP_PORTE_PRO_COMPValue write SetIMP_PORTE_PRO_COMPValue;
    property OldIMP_PORTE_PRO_COMP : Float read GetOldIMP_PORTE_PRO_COMPValue;
    property IMP_MARGEN_ULT_VENT_COMPRA : Float read GetIMP_MARGEN_ULT_VENT_COMPRAValue write SetIMP_MARGEN_ULT_VENT_COMPRAValue;
    property OldIMP_MARGEN_ULT_VENT_COMPRA : Float read GetOldIMP_MARGEN_ULT_VENT_COMPRAValue;
    property POR_MARGEN_ULT_VENT_COMPRA : Float read GetPOR_MARGEN_ULT_VENT_COMPRAValue write SetPOR_MARGEN_ULT_VENT_COMPRAValue;
    property OldPOR_MARGEN_ULT_VENT_COMPRA : Float read GetOldPOR_MARGEN_ULT_VENT_COMPRAValue;
    property IMP_MARGEN_ULT_VENT_ULT_COMP : Float read GetIMP_MARGEN_ULT_VENT_ULT_COMPValue write SetIMP_MARGEN_ULT_VENT_ULT_COMPValue;
    property OldIMP_MARGEN_ULT_VENT_ULT_COMP : Float read GetOldIMP_MARGEN_ULT_VENT_ULT_COMPValue;
    property POR_MARGEN_ULT_VENT_ULT_COMP : Float read GetPOR_MARGEN_ULT_VENT_ULT_COMPValue write SetPOR_MARGEN_ULT_VENT_ULT_COMPValue;
    property OldPOR_MARGEN_ULT_VENT_ULT_COMP : Float read GetOldPOR_MARGEN_ULT_VENT_ULT_COMPValue;
    property IMP_MARGEN_ULT_VENT_PRO_COMP : Float read GetIMP_MARGEN_ULT_VENT_PRO_COMPValue write SetIMP_MARGEN_ULT_VENT_PRO_COMPValue;
    property OldIMP_MARGEN_ULT_VENT_PRO_COMP : Float read GetOldIMP_MARGEN_ULT_VENT_PRO_COMPValue;
    property POR_MARGEN_ULT_VENT_PRO_COMP : Float read GetPOR_MARGEN_ULT_VENT_PRO_COMPValue write SetPOR_MARGEN_ULT_VENT_PRO_COMPValue;
    property OldPOR_MARGEN_ULT_VENT_PRO_COMP : Float read GetOldPOR_MARGEN_ULT_VENT_PRO_COMPValue;
    property IMP_MARGEN_PRO_VENT_COMPRA : Float read GetIMP_MARGEN_PRO_VENT_COMPRAValue write SetIMP_MARGEN_PRO_VENT_COMPRAValue;
    property OldIMP_MARGEN_PRO_VENT_COMPRA : Float read GetOldIMP_MARGEN_PRO_VENT_COMPRAValue;
    property POR_MARGEN_PRO_VENT_COMPRA : Float read GetPOR_MARGEN_PRO_VENT_COMPRAValue write SetPOR_MARGEN_PRO_VENT_COMPRAValue;
    property OldPOR_MARGEN_PRO_VENT_COMPRA : Float read GetOldPOR_MARGEN_PRO_VENT_COMPRAValue;
    property IMP_MARGEN_PRO_VENT_ULT_COMP : Float read GetIMP_MARGEN_PRO_VENT_ULT_COMPValue write SetIMP_MARGEN_PRO_VENT_ULT_COMPValue;
    property OldIMP_MARGEN_PRO_VENT_ULT_COMP : Float read GetOldIMP_MARGEN_PRO_VENT_ULT_COMPValue;
    property POR_MARGEN_PRO_VENT_ULT_COMP : Float read GetPOR_MARGEN_PRO_VENT_ULT_COMPValue write SetPOR_MARGEN_PRO_VENT_ULT_COMPValue;
    property OldPOR_MARGEN_PRO_VENT_ULT_COMP : Float read GetOldPOR_MARGEN_PRO_VENT_ULT_COMPValue;
    property IMP_MARGEN_PRO_VENT_PRO_COMP : Float read GetIMP_MARGEN_PRO_VENT_PRO_COMPValue write SetIMP_MARGEN_PRO_VENT_PRO_COMPValue;
    property OldIMP_MARGEN_PRO_VENT_PRO_COMP : Float read GetOldIMP_MARGEN_PRO_VENT_PRO_COMPValue;
    property POR_MARGEN_PRO_VENT_PRO_COMP : Float read GetPOR_MARGEN_PRO_VENT_PRO_COMPValue write SetPOR_MARGEN_PRO_VENT_PRO_COMPValue;
    property OldPOR_MARGEN_PRO_VENT_PRO_COMP : Float read GetOldPOR_MARGEN_PRO_VENT_PRO_COMPValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TInfMargenArticuloBusinessProcessorRules }
constructor TInfMargenArticuloBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TInfMargenArticuloBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TInfMargenArticuloBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloID_EMPRESA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloID_EMPRESA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloID_EMPRESA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloID_CLIENTE];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloID_CLIENTE];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloID_CLIENTE] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloID_ARTICULO];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloID_ARTICULO];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloID_ARTICULO] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloFAMILIA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloFAMILIA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetFAMILIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloFAMILIA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloREFERENCIA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloREFERENCIA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloREFERENCIA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetREFERENCIA_PROVValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloREFERENCIA_PROV];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldREFERENCIA_PROVValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloREFERENCIA_PROV];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetREFERENCIA_PROVValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloREFERENCIA_PROV] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloDESCRIPCION];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloDESCRIPCION];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloDESCRIPCION] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetCOMISIONABLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloCOMISIONABLE];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldCOMISIONABLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloCOMISIONABLE];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetCOMISIONABLEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloCOMISIONABLE] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetINVENTARIABLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloINVENTARIABLE];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldINVENTARIABLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloINVENTARIABLE];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetINVENTARIABLEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloINVENTARIABLE] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNIF_CIF_CLIENTE];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloNIF_CIF_CLIENTE];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetNIF_CIF_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNIF_CIF_CLIENTE] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNOMBRE_CLIENTE];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloNOMBRE_CLIENTE];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetNOMBRE_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNOMBRE_CLIENTE] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetNOMBRE_COMERCIAL_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNOMBRE_COMERCIAL_CLIENTE];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldNOMBRE_COMERCIAL_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloNOMBRE_COMERCIAL_CLIENTE];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetNOMBRE_COMERCIAL_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNOMBRE_COMERCIAL_CLIENTE] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetNIF_CIF_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNIF_CIF_AGENTE];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldNIF_CIF_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloNIF_CIF_AGENTE];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetNIF_CIF_AGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNIF_CIF_AGENTE] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetNOMBRE_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNOMBRE_AGENTE];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldNOMBRE_AGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloNOMBRE_AGENTE];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetNOMBRE_AGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloNOMBRE_AGENTE] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_UNIDAD_ULT_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_ULT_VENT];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_UNIDAD_ULT_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_UNIDAD_ULT_VENT];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_UNIDAD_ULT_VENTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_ULT_VENT] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_NETO_ULT_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_ULT_VENT];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_NETO_ULT_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_NETO_ULT_VENT];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_NETO_ULT_VENTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_ULT_VENT] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_PORTE_ULT_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_ULT_VENT];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_PORTE_ULT_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_PORTE_ULT_VENT];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_PORTE_ULT_VENTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_ULT_VENT] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_UNIDAD_PRO_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_PRO_VENT];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_UNIDAD_PRO_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_UNIDAD_PRO_VENT];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_UNIDAD_PRO_VENTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_PRO_VENT] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_NETO_PRO_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_PRO_VENT];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_NETO_PRO_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_NETO_PRO_VENT];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_NETO_PRO_VENTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_PRO_VENT] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_PORTE_PRO_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_PRO_VENT];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_PORTE_PRO_VENTValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_PORTE_PRO_VENT];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_PORTE_PRO_VENTValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_PRO_VENT] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_UNIDAD_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_COMPRA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_UNIDAD_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_UNIDAD_COMPRA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_UNIDAD_COMPRAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_COMPRA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_NETO_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_COMPRA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_NETO_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_NETO_COMPRA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_NETO_COMPRAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_COMPRA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_PORTE_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_COMPRA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_PORTE_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_PORTE_COMPRA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_PORTE_COMPRAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_COMPRA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_UNIDAD_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_ULT_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_UNIDAD_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_UNIDAD_ULT_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_UNIDAD_ULT_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_ULT_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_NETO_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_ULT_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_NETO_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_NETO_ULT_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_NETO_ULT_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_ULT_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_PORTE_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_ULT_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_PORTE_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_PORTE_ULT_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_PORTE_ULT_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_ULT_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_UNIDAD_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_PRO_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_UNIDAD_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_UNIDAD_PRO_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_UNIDAD_PRO_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_UNIDAD_PRO_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_NETO_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_PRO_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_NETO_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_NETO_PRO_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_NETO_PRO_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_NETO_PRO_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_PORTE_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_PRO_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_PORTE_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_PORTE_PRO_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_PORTE_PRO_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_PORTE_PRO_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_MARGEN_ULT_VENT_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_COMPRA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_MARGEN_ULT_VENT_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_COMPRA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_COMPRA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetPOR_MARGEN_ULT_VENT_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_COMPRA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldPOR_MARGEN_ULT_VENT_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_COMPRA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetPOR_MARGEN_ULT_VENT_COMPRAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_COMPRA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_MARGEN_ULT_VENT_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_ULT_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_MARGEN_ULT_VENT_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_ULT_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_ULT_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetPOR_MARGEN_ULT_VENT_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_ULT_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldPOR_MARGEN_ULT_VENT_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_ULT_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetPOR_MARGEN_ULT_VENT_ULT_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_ULT_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_MARGEN_ULT_VENT_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_PRO_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_MARGEN_ULT_VENT_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_PRO_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_ULT_VENT_PRO_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetPOR_MARGEN_ULT_VENT_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_PRO_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldPOR_MARGEN_ULT_VENT_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_PRO_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetPOR_MARGEN_ULT_VENT_PRO_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_ULT_VENT_PRO_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_MARGEN_PRO_VENT_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_COMPRA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_MARGEN_PRO_VENT_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_COMPRA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_COMPRA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetPOR_MARGEN_PRO_VENT_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_COMPRA];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldPOR_MARGEN_PRO_VENT_COMPRAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_COMPRA];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetPOR_MARGEN_PRO_VENT_COMPRAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_COMPRA] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_MARGEN_PRO_VENT_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_ULT_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_MARGEN_PRO_VENT_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_ULT_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_ULT_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetPOR_MARGEN_PRO_VENT_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_ULT_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldPOR_MARGEN_PRO_VENT_ULT_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_ULT_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetPOR_MARGEN_PRO_VENT_ULT_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_ULT_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetIMP_MARGEN_PRO_VENT_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_PRO_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldIMP_MARGEN_PRO_VENT_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_PRO_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetIMP_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloIMP_MARGEN_PRO_VENT_PRO_COMP] := aValue;
end;

function TInfMargenArticuloBusinessProcessorRules.GetPOR_MARGEN_PRO_VENT_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_PRO_COMP];
end;

function TInfMargenArticuloBusinessProcessorRules.GetOldPOR_MARGEN_PRO_VENT_PRO_COMPValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_PRO_COMP];
end;

procedure TInfMargenArticuloBusinessProcessorRules.SetPOR_MARGEN_PRO_VENT_PRO_COMPValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InfMargenArticuloPOR_MARGEN_PRO_VENT_PRO_COMP] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_InfMargenArticuloDelta, TInfMargenArticuloBusinessProcessorRules);

end.
